public class AnwendungTestEqualsStudent
{
	public static void main (String [] args)
	{
		Student s1=null;
		Student s2=null;
		Student s3=null;
		int testnummer=1;
		
		System.out.println("--------------------------");
		s1=new Student("Meier","Paula",1234,"Köln");
		s2=new Student("Meier","Paula",1234,"Köln");
		System.out.println("\ts1: "+s1+",\n\ts2: "+s2);
		System.out.println("Test "+testnummer+": s1.equals(s2)");
		System.out.println("true Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		s1=new Student("Meier","Paula",1234,"Köln");
		s2=new Student("Meyer","Paula",1234,"Köln");
		System.out.println("\ts1: "+s1+",\n\ts2: "+s2);
		System.out.println("Test "+testnummer+": s1.equals(s2)");
		System.out.println("false Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		s1=new Student("Meier","Paula",1234,"Köln");
		s2=new Student("Meier","Pauline",1234,"Köln");
		System.out.println("\ts1: "+s1+",\n\ts2: "+s2);
		System.out.println("Test "+testnummer+": s1.equals(s2)");
		System.out.println("false Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		s1=new Student("Meier","Paula",1230,"Köln");
		s2=new Student("Meier","Paula",1234,"Köln");
		System.out.println("\ts1: "+s1+",\n\ts2: "+s2);
		System.out.println("Test "+testnummer+": s1.equals(s2)");
		System.out.println("false Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		s1=new Student("Meier","Paula",1234,"Kölle");
		s2=new Student("Meier","Paula",1234,"Köln");
		System.out.println("\ts1: "+s1+",\n\ts2: "+s2);
		System.out.println("Test "+testnummer+": s1.equals(s2)");
		System.out.println("false Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		
		//reflexiv		
		System.out.println("--------------------------reflexiv");
		s1=new Student("Meier","Paula",1234,"Köln");
		System.out.println("\ts1: "+s1);
		System.out.println("Test "+testnummer+": s1.equals(s1)");
		System.out.println("true Expected");
		System.out.println(s1.equals(s1)+" Result");
		testnummer++;
		//symmetrisch		
		System.out.println("--------------------------symmetrisch");
		s1=new Student("Meier","Paula",1234,"Köln");
		s2=new Student("Meier","Paula",1234,"Köln");
		System.out.println("\ts1: "+s1+",\n\ts2: "+s2);
		System.out.println("Test "+testnummer+": s1.equals(s2)");
		System.out.println("true Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" s2.equals(s1)");
		System.out.println("true Expected");
		System.out.println(s2.equals(s1)+" Result");
		testnummer++;
		//transitiv		
		System.out.println("--------------------------transitiv");
		s1=new Student("Meier","Paula",1234,"Köln");
		s2=new Student("Meier","Paula",1234,"Köln");
		s3=new Student("Meier","Paula",1234,"Köln");
		System.out.println("\ts1: "+s1+",\n\ts2: "+s2+",\n\ts3: "+s3);
		System.out.println("Test "+testnummer+": s1.equals(s2)");
		System.out.println("true Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" s2.equals(s3)");
		System.out.println("true Expected");
		System.out.println(s2.equals(s3)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" s1.equals(s3)");
		System.out.println("true Expected");
		System.out.println(s1.equals(s3)+" Result");
		testnummer++;
		//konsistent		
		System.out.println("--------------------------konsistent");
		s1=new Student("Meier","Paula",1234,"Köln");
		s2=new Student("Meier","Paula",1234,"Köln");
		System.out.println("\ts1: "+s1+",\n\ts2: "+s2);
		System.out.println("Test "+testnummer+": s1.equals(s2)");
		System.out.println("true Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" s1.equals(s2)");
		System.out.println("true Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		System.out.println("Test "+testnummer+" s1.equals(s2)");
		System.out.println("true Expected");
		System.out.println(s1.equals(s2)+" Result");
		testnummer++;
		//null Parameter		
		System.out.println("--------------------------null Parameter");
		s1=new Student("Meier","Paula",1234,"Köln");
		System.out.println("\ts1: "+s1);
		System.out.println("Test "+testnummer+": s1.equals(null)");
		System.out.println("false Expected");
		System.out.println(s1.equals(null)+" Result");
		testnummer++;
	}
}